Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044856
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-08-20 08:592020-09-15 15:56
ReporterjarmendarizView Statuspublic 
Assigned Toplatform 
PrioritynormalResolutionopenFixed in Version
StatusnewFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044856: Upgrade Jest to latest stable version

DescriptionAfter fixing npm's dependencies to fix security issues in 0043705, 288 low severity vulnerabilities were left because it requires to update a major version of Jest.
Steps To ReproduceSee above
Proposed SolutionCheck Jest's changelog for potentially breaking changes, upgrade and test that existing tests still works.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0043705 closedplatform Fix security issues in npm dependencies 

-  Notes
(0123016)
hgbot (developer)
2020-09-14 11:54

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/162 [^]
(0123067)
cberner (developer)
2020-09-15 15:56
edited on: 2020-09-15 15:57

org.openbravo.core2 module contains react-scripts, which should also be updated because of Jest major version. Currently react-scripts needs Jest 24.+, and updating to 26.+ breaks npm install in the module.


- Issue History
Date Modified Username Field Change
2020-08-20 08:59 jarmendariz New Issue
2020-08-20 08:59 jarmendariz Assigned To => platform
2020-08-20 08:59 jarmendariz Modules => Core
2020-08-20 08:59 jarmendariz Triggers an Emergency Pack => No
2020-08-20 09:00 jarmendariz Description Updated View Revisions
2020-08-20 09:01 jarmendariz Relationship added related to 0043705
2020-08-20 09:50 jarmendariz Summary Upgrade Jest to latest stable version to fix security issues => Upgrade Jest to latest stable version
2020-09-14 11:54 hgbot Note Added: 0123016
2020-09-15 15:56 cberner Note Added: 0123067
2020-09-15 15:57 cberner Note Edited: 0123067 View Revisions


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker